#!/usr/bin/python
# -*- coding: UTF-8 -*-
#
# 身份证识别 Python 3.6.8
# 入口
# author: Scott Chen
# date: 2019-12-17

from idcard.biz.id_card_reader import IdCardReader
from idcard.biz.year_limit_query import  YearLimitQuery


if __name__ == '__main__':
    # 身份证信息读取
    reader = IdCardReader()
    id_car_info = reader.recognize()
    if 'error' in id_car_info:
        print(id_car_info['error'])

    name, id_no = id_car_info['name'], id_car_info['id_no']

    # 跨境额度查询
    yq = YearLimitQuery(name, id_no)
    year_limit_map = yq.query()
    if 'error' in year_limit_map:
        print(year_limit_map['error'])




