"""idcard_reader_web URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/3.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""

from django.contrib import admin
from django.urls import re_path, include
from django.views.generic import TemplateView

import idcard.urls

urlpatterns = [
    re_path(r'^admin/', admin.site.urls),
    re_path(r'^api/', include(idcard.urls)),
    # Vue 放到最后
    re_path(r'^$', TemplateView.as_view(template_name="index.html")),
]
